
# 常见问题

## 设备篇

1. “电池充电接口、工控机电源接口、Kinect 集线器的电源接口可以互换适配器吗？”

    少年，劝你别有这么大胆的想法！

    尽管这三者物理外形一致，但电气规格**并不通用**，使用时务必注意，错误的接线方式将会导致设备损坏，甚至危及人身安全。

2. “为什么风扇噪音非常大？”

    众所周知，AMD 旗下 CPU 最大的特点就是~~发热量大~~性能强劲，并且工控机内部结构十分紧凑，只有风扇维持在较高转速才保证系统正常工作。

3. “为什么我看不到 Kinect 的数据？”

    Kinec集线器的数据线另一端必须插在工控机 **USB3.0** 接口上，否则将无法从工控机读取到Kinect的数据。

## 建图导航-建图篇

1. 键盘控制AP1行走时，AP1动作异常，动一下停一下

    可调整显示器的位置，保持接收器不被遮挡，并调整自己的位置，使接收器可以接收到发送的指令信号，建议使用USB延长线或USB-HUB将接收器放置在架子的高处，无任何遮挡，便于信号传输。

2. 键盘控制，AP1一动不动

    a) 确认已将AP1电源总开关打开，急停开关没有被按下，AP1处于上位机控制模式

    b) 新开一个terminal，执行以下命令，打出关系图，查看键盘节点

    `$ rosrun rqt_graph rqt_graph`

    c) 执行以下命令，上下左右控制键盘看是否会有数据打出，如没有数据打出，说明AP1没有接收到键盘发送的指令

    `$ rostopic echo /cmd_vel`

    d)执行以下命令，确认event-kbd的数量，数量大于一个则有问题

    `ll /dev/input/by-path/ `

    ![](imgs/keyboard.png)

    e) 请排查是否有多个键盘设备，键盘驱动查找的是最后一个连接的键盘，需要将其他（显示为）键盘的设备找出来，拔掉（可能是鼠标、机械键盘、混装键鼠）

3. AP1不受键盘控制、失控

    在开始建图前，需要禁用无线功能。如果没有禁用，AP1在连接了WIFI的状态下开始建图，在地图构建过程中，一旦AP1离开无线覆盖区域，无线连接断开，ROS的网络通信中断就会导致AP1控制失控。

4. 如何建出高质量的地图/建图效果不佳/地图构建要点

    在构建地图的过程，以下几点会影响到建图的准确性：

    * 轮胎气不足影响里程计数据

    * 运行速度不宜过快，由于激光扫描有一定的频率，车速低时雷达可以扫描到的点更多，构建的地图会更准确一些

    * 尽量沿直线行走，原地慢速转弯
    注：此条不适用于 Autolabor OS 2.1.2 及以上版本。

    * 地图构建的质量也受环境限制，请尽量选择特征比较明显的环境，玻璃、镜子、楼道、空旷等场景会影响建图效果

    * 构建完成的地图，会发现有些点会飞出，飞出的点可能是由于物体的表面不平或者有空隙激光直接穿越了过去

    * 当场景很大特征不足的时候，需要规划建图路径时，应先走一个小回环，当回环成功后，可以再多走几圈，消除粒子在这个回环的多样性。接下来走下一个回环，直到把整个地图连通成一个大的回环

    * gmapping算法在构建大地图时所需内存和计算量都会增加，不适合构建大场景地图。并且没有回环检测，因此在回环闭合时可能会造成地图错位，可以考虑增加粒子数目尝试使地图闭合，但会增加计算量和内存。

      ```
        粒子参数修改：

        修改文件：catkin_ws/src/launch/autolabor_box_launch/launch/create_map.launch

        修改参数：<param name="particles" value=""/>

        改成15试试

        ```
      注：此条不适用于 Autolabor OS 2.1.2 及以上版本。
    * 当场景很大特征不足的时候，需要规划建图路径时，应先走一个小回环，当回环成功后，可以再多走几圈，消除粒子在这个回环的多样性。接下来走下一个回环，直到把整个地图连通成一个大的回环。


## 建图导航-导航篇

1. 目标点给定后，可能会发生AP1不动或原地转圈，控制台显示【Failed to get a plan/不能规划路径】的红色错误。

    可能是有两种原因造成：

    * 目标点选择在了障碍物中

    * 车在地图中所处的位置是在障碍物中
  那么这样的情况，我们可以先尝试重新给定目标点，或者将车换个位置重新给定初始位置。

    注：此条不适用于 Autolabor OS 2.1.2 及以上版本。

2. 在行走的过程中也可能会发生AP1停止不动或原地转圈的现象发生。

    这种情况是因为AP1在行走过程中，检测到障碍物，无法到达目标点，这个障碍物有可能是真实的障碍物，也有可能是误检，我们可以先等待观察，AP1会进行自我恢复（不超过一分钟），如果恢复之后AP1仍没有行动，导航已自动停止，此时我们需要重新设置目标点。

    注：此条不适用于 Autolabor OS 2.1.2 及以上版本。
